(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./Utils.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CogDrawer = void 0;
    const engine_1 = require("@tsparticles/engine");
    const Utils_js_1 = require("./Utils.js");
    const defaultHoleRadius = 44, defaultInnerRadius = 72, defaultInnerTaper = 35, defaultNotches = 7, defaultOuterTaper = 50;
    class CogDrawer {
        constructor() {
            this.validTypes = ["cog"];
        }
        afterDraw(data) {
            (0, Utils_js_1.drawCogHole)(data);
        }
        draw(data) {
            (0, Utils_js_1.drawCog)(data);
        }
        particleInit(container, particle) {
            const shapeData = particle.shapeData;
            particle.cogHoleRadius = (0, engine_1.getRangeValue)(shapeData?.holeRadius ?? defaultHoleRadius);
            particle.cogInnerRadius = (0, engine_1.getRangeValue)(shapeData?.innerRadius ?? defaultInnerRadius);
            particle.cogInnerTaper = (0, engine_1.getRangeValue)(shapeData?.innerTaper ?? defaultInnerTaper);
            particle.cogNotches = (0, engine_1.getRangeValue)(shapeData?.notches ?? defaultNotches);
            particle.cogOuterTaper = (0, engine_1.getRangeValue)(shapeData?.outerTaper ?? defaultOuterTaper);
        }
    }
    exports.CogDrawer = CogDrawer;
});
